Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Reply
Message 1 of 28
Anonymous
7692 Views, 27 Replies

Pipe End

Hi

Does anyone have a lisp routine to draw a pipe end?

J
27 REPLIES 27
Message 2 of 28
Blue Moon
in reply to: Anonymous

Here's one.
Message 3 of 28
Anonymous
in reply to: Anonymous

Hi Blue Moon

How do i flip it?

J
Message 4 of 28
Blue Moon
in reply to: Anonymous

You get different results dependiing on which endpoint you pick first.
Message 5 of 28
Anonymous
in reply to: Anonymous

Hiya again

For some reason I can't get the pipe end to draw in the right direction if on the right hand side?

J
Message 6 of 28
Anonymous
in reply to: Anonymous

thanks I like it.


wrote in message news:5013838@discussion.autodesk.com...
You get different results dependiing on which endpoint you pick first.
Message 7 of 28
Blue Moon
in reply to: Anonymous

See attached.
Message 8 of 28
Anonymous
in reply to: Anonymous

Hi Blue Moon

Thanks for the help all ok now 🙂

Jeanette.
Message 9 of 28
Blue Moon
in reply to: Anonymous

Glad to hear it. And you're welcome.

Connie
Message 10 of 28
teiarch
in reply to: Anonymous

All well and good folks BUT the OP has not learned how to draw a pipe end (whatever that is; flange?).

Not criticizing using lisp routines to save time here and there but one ought to acquire some drafting knowledge about how to draw certain kinds of objects along the way....
Message 11 of 28
Anonymous
in reply to: Anonymous

he did ask how to draw one, he asked for a lisp routine. I can draw one, I
have and I usually just scale it for different sizes of pipe. but his
routine just cut out have to scale my block everytime I need a pipe end.. I
would describe a pipe as a half of a yin yang symbol, it just represents a
continuation of a pipe.


wrote in message news:5014596@discussion.autodesk.com...
All well and good folks BUT the OP has not learned how to draw a pipe end
(whatever that is; flange?).

Not criticizing using lisp routines to save time here and there but one
ought to acquire some drafting knowledge about how to draw certain kinds of
objects along the way....
Message 12 of 28
teiarch
in reply to: Anonymous

gomez: I realize he asked for a lisp routine but one could assume that he didn't know how to draw a pipe end so he asked for a program to do it for him....
Message 13 of 28
mwgrutter
in reply to: Anonymous

A pipe end symbol shouldn't require a lisp routine to create. The relative shape is always the same in 2D. Attached is a .zip file with two drawings of an end cut (PIPE_HALF_CUTAWAY) and a mid point cut (PIPE_CUTAWAY). Simply insert either of these as blocks into your drawing using any snap point you desire (be sure that both scale and rotation are checked as "Specify on screen".

The drawings are set for a 1 unit (inch or mm) span. To fit to any pipe size just use the finished pipe OD as the scale factor.

Pick your point, input your scale as the pipe size desired (both x and y) and rotate to a point on the opposite side perpendicular to the insert point. Next just trim the areas of the pipe away using the block as the trim edge(s).

If you want to adjust the rise/fall of the arc, use the refedit command after insertion or change the arc properties in the original drawing before insertion.

Another method for inserting and editing (trimming) the pipe cut end block would be to create either a pulldown menu item or a toolbar/toolpallet object with the command macro for execution.
Message 14 of 28
AutoMarcus
in reply to: Anonymous

hi all

i know this but i have forgotten it

how do you draw a square pipe or tube (SHS) that has a break line through it?

 

edit, i know how to draw it, just looking for a standard rule for drafting so all our drafties draw it the same way.

couldn't think of the correct term off the top of my head.

 

trying to look it up in my old drafting text books but they detail it differently to how i have seen in my 15y careerboundy textbook section pipe.jpg

Message 15 of 28
AutoMarcus
in reply to: AutoMarcus

the mechanical version of Autocad used to have a tool to this very nicely

Message 16 of 28
AutoMarcus
in reply to: AutoMarcus

kind of like this

sq tube breakline.PNG

Message 17 of 28
michaelf1986
in reply to: AutoMarcus

I'm looking to find a lisp routine for a break symbol for SHS or RHS tubes or if i can be pointed in the right direction to for the coding to do this.

Message 18 of 28
Kent1Cooper
in reply to: michaelf1986


@michaelf1986 wrote:

I'm looking to find a lisp routine for a break symbol for SHS or RHS tubes ....


I don't know what those are supposed to look like [post an image?], but would an option in CapEnd.lsp with its CE command, available here, do?  It does one of the pipe end things earlier in this thread.

Kent Cooper, AIA
Message 19 of 28
michaelf1986
in reply to: Kent1Cooper

It would need to look like the attached image. This break is for square and rectangle hollow sections.

Message 20 of 28
DannyNL
in reply to: michaelf1986

Just playing around but try this.

 

Mind the order in which you pick the points and trimming of additional lines not (yet) included.

First point will use END object snap the second point will use PERPENDICULAR object snap from first point.

 

(defun c:Test (/ T_Varlist T_Oldvar T_Point1 T_Point2 T_Angle T_Height T_Offset T_Point3 T_MidPoint)
   (setq T_Varlist '("CMDECHO" "OSMODE" "OSNAPCOORD"))
   (setq T_Oldvar (mapcar 'getvar T_Varlist))
   (mapcar 'setvar T_Varlist '(0 1 1))
   (if
      (and
         (setq T_Point1 (getpoint          "\nSelect first point : "))
         (setvar "OSMODE" 128)
         (setq T_Point2 (getpoint T_Point1 "\nSelect second point: "))
         (not (equal T_Point1 T_Point2))
      )
      (progn
         (setq T_Angle (angle T_Point1 T_Point2))
         (setq T_Height (distance T_Point1 T_Point2))
         (setq T_Offset (* T_Height 0.2))
         (setq T_Point3 (polar T_Point2 (+ T_Angle (* pi 0.5)) T_Offset))  
         (setq T_MidPoint (list (/ (+ (nth 0 T_Point1) (nth 0 T_Point3)) 2.0) (/ (+ (nth 1 T_Point1) (nth 1 T_Point3)) 2.0)))
         (vla-StartUndoMark (vla-get-ActiveDocument (vlax-get-acad-object)))
         (command "_.LINE" T_Point1 T_Point3 "")
         (command "_.LINE" T_Point2 T_MidPoint "")
         (vla-EndUndoMark (vla-get-ActiveDocument (vlax-get-acad-object)))
      )
   )
   (mapcar 'setvar T_Varlist T_Oldvar)
   (princ)
)
   

Pipe_End.gif

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost